Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class ActionFilter

    java.lang.Object
      |
      +--quicktime.std.movies.ActionFilter

public abstract class ActionFilter
extends java.lang.Object

The ActionFilter class is used by action filters on the MovieController. An application should subclass this class over-riding the method(s) that it is interested in. Actions associated with methods not over-ridden will return false, indicating to the Movie toolbox that it should handle the action.

See Also:
  `QTCallBack`

Method Summary
`boolean` | `execute(MovieController mc, int action)` This method should be overridden to handle the following actions: mcActionIdle ID = 1 mcActionActivate ID = 3 mcActionDeactivate ID = 4 mcActionDraw ID = 2 (The Graphics object of the controller can be retrieved from the controller if required) mcActionSetColorTable (The ColorTable object of the movie can be retrieved from the movie) mcActionForceTimeTableUpdate ID = 61 mcActionMovieChanged ID = 77 mcActionControllerSizeChanged ID = 26 (The controller object can be retrieved from the movie) mcActionSuspend ID = 46 mcActionResume ID = 47 mcActionMovieEdited ID = 50 mcActionMovieFinished ID = 86
`boolean` | `execute(MovieController mc, int action, AtomContainer container, Atom atom)` This method should be overridden to handle the following actions: mcActionPerformActionList
`boolean` | `execute(MovieController mc, int action, boolean value)` This method should be overridden to handle the following actions: mcActionSetLooping mcActionSetLoopIsPalindrome mcActionSetKeysEnabled mcActionSetPlaySelection mcActionSetUseBadge mcActionSetPlayEveryFrame mcActionSetCursorSettingEnabled mcActionGetDragEnabled
`boolean` | `execute(MovieController mc, int action, boolean[] value)` This method should be overridden to handle the following actions: mcActionGetLooping mcActionGetLoopIsPalindrome mcActionGetKeysEnabled mcActionGetPlaySelection mcActionGetUseBadge mcActionGetPlayEveryFrame mcActionShowBalloon - set to false to stop balloon mcActionBadgeClick - set to false to ignore click mcActionGetDragEnabled mcActionGetCursorSettingEnabled
`boolean` | `execute(MovieController mc, int action, float value)` This method should be overridden to handle the following actions: mcActionPlay mcActionSetVolume mcActionPrerollAndPlay mcActionAutoPlay mcActionPauseToBuffer mcActionSetVolumeStep
`boolean` | `execute(MovieController mc, int action, float[] value)` This method should be overridden to handle the following actions: mcActionGetVolume mcActionGetPlayRate
`boolean` | `execute(MovieController mc, int action, int value)` This method should be overridden to handle the following actions: mcActionStep mcActionSetFlags mcActionAppMessageReceived
`boolean` | `execute(MovieController mc, int action, int[] value)` This method should be overridden to handle the following actions: mcActionGetFlags
`boolean` | `execute(MovieController mc, int action, int stringTypeFlags, StringHandle string)` This method should be overridden to handle the following actions: mcActionShowStatusString
`boolean` | `execute(MovieController mc, int action, QDPoint point)` This method should be overridden to handle the following actions: mcActionForceTimeTableUpdate
`boolean` | `execute(MovieController mc, int action, QTGetExternalMovieRecord record)` This method should be overridden to handle the following actions: mcActionGetExternalMovie
`boolean` | `execute(MovieController mc, int action, ResolvedQTEventSpec es)` This method should be overridden to handle the following actions: mcActionExecuteAllActionsForQTEvent mcActionExecuteOneActionForQTEvent This class will pass on the wired sprites actions.
`boolean` | `execute(MovieController mc, int action, StringHandle string)` This method should be overridden to handle the following actions: mcActionLinkToURL mcActionShowMessageString mcActionGetNextURL
`boolean` | `execute(MovieController mc, int action, TimeRecord tr)` This method should be overridden to handle the following actions: mcActionGoToTime mcActionSetSelectionBegin mcActionGetSelectionBegin mcActionSetSelectionDuration mcActionGetSelectionDuration
`boolean` | `execute(MovieController mc, int action, TimeRecord tr, java.lang.String str)` This method should be overridden to handle the following actions: mcActionGetChapterTime
`boolean` | `execute(MovieController mc, QDRect rect)` This method should be overridden to handle the following actions: mcActionSetGrowBoxBounds mcActionGetTimeSliderRect

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public boolean execute(MovieController mc,
                           int action)

  This method should be overridden to handle the following actions:
  - mcActionIdle ID = 1
  - mcActionActivate ID = 3
  - mcActionDeactivate ID = 4
  - mcActionDraw ID = 2 (The Graphics object of the controller can be retrieved from the controller if required)
  - mcActionSetColorTable (The ColorTable object of the movie can be retrieved from the movie)
  - mcActionForceTimeTableUpdate ID = 61
  - mcActionMovieChanged ID = 77
  - mcActionControllerSizeChanged ID = 26 (The controller object can be retrieved from the movie)
  - mcActionSuspend ID = 46
  - mcActionResume ID = 47
  - mcActionMovieEdited ID = 50
  - mcActionMovieFinished ID = 86
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           float value)

  This method should be overridden to handle the following actions:
  - mcActionPlay
  - mcActionSetVolume
  - mcActionPrerollAndPlay
  - mcActionAutoPlay
  - mcActionPauseToBuffer
  - mcActionSetVolumeStep
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - the value that accompanies that action
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           float[] value)

  This method should be overridden to handle the following actions:
  - mcActionGetVolume
  - mcActionGetPlayRate
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - In the first element of this array the application should return the desired value for this action and return true. If the application wants the MovieToolbox to return the current value then return false.
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           boolean[] value)

  This method should be overridden to handle the following actions:
  - mcActionGetLooping
  - mcActionGetLoopIsPalindrome
  - mcActionGetKeysEnabled
  - mcActionGetPlaySelection
  - mcActionGetUseBadge
  - mcActionGetPlayEveryFrame
  - mcActionShowBalloon - set to false to stop balloon
  - mcActionBadgeClick - set to false to ignore click
  - mcActionGetDragEnabled
  - mcActionGetCursorSettingEnabled
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - In the first element of this array the application should return the desired value for this action and return true. If the application wants the MovieToolbox to return the current value then return false.
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           int[] value)

  This method should be overridden to handle the following actions:
  - mcActionGetFlags
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - In the first element of this array the application should return the desired value for this action and return true. If the application wants the MovieToolbox to return the current value then return false.
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           boolean value)

  This method should be overridden to handle the following actions:
  - mcActionSetLooping
  - mcActionSetLoopIsPalindrome
  - mcActionSetKeysEnabled
  - mcActionSetPlaySelection
  - mcActionSetUseBadge
  - mcActionSetPlayEveryFrame
  - mcActionSetCursorSettingEnabled
  - mcActionGetDragEnabled
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - the value that is associated with that action
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           QDRect rect)

  This method should be overridden to handle the following actions:
  - mcActionSetGrowBoxBounds
  - mcActionGetTimeSliderRect
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `rect` - the QDRect that defines the bounds of the movie
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           int value)

  This method should be overridden to handle the following actions:
  - mcActionStep
  - mcActionSetFlags
  - mcActionAppMessageReceived
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - the value that is associated with that action
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           TimeRecord tr)

  This method should be overridden to handle the following actions:
  - mcActionGoToTime
  - mcActionSetSelectionBegin
  - mcActionGetSelectionBegin
  - mcActionSetSelectionDuration
  - mcActionGetSelectionDuration
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `value` - the value that is associated with that action
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           ResolvedQTEventSpec es)

  This method should be overridden to handle the following actions:
  - mcActionExecuteAllActionsForQTEvent
  - mcActionExecuteOneActionForQTEvent
  This class will pass on the wired sprites actions.

  mcActionExecuteAllActionsForQTEvent

  This allows your application to filter QuickTime events for which the movie has actions. This is sent before any actions are executed. Return true from your filter proc if you do not want the actions to be executed; return false if you do want the actions executed. The parameter is a ResolvedQTEventSpecPtr. The type of QuickTime event may be determined from the QTAtomSpec portion. The atom is either a kQTEventFrameLoaded atom, or a kQTEventType atom in which case its ID specifies the type of QuickTime event.

  mcActionExecuteOneActionForQTEvent

  This allows your application to filter individual actions which are about to be executed in response to a QuickTime event. This is sent before the action is executed. Return true from your filter proc if you do not want the action to be executed, return false if you do want the action executed. The parameter is a ResolvedQTEventSpecPtr. The type of action may be determined from the QTAtomSpec portion. The atom is a kAction atom. The type of action is specified by the leaf data of its child atom of type kWhichAction.

  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `es` - a ResolvedQTEventSpec associated with the action
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           AtomContainer container,
                           Atom atom)

  This method should be overridden to handle the following actions:
  - mcActionPerformActionList

  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `container` - the AtomContainer for the perform action list
    `atom` - the atom
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           StringHandle string)

  This method should be overridden to handle the following actions:
  - mcActionLinkToURL
  - mcActionShowMessageString
  - mcActionGetNextURL
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `string` - The String returned by the movie controller
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           int stringTypeFlags,
                           StringHandle string)

  This method should be overridden to handle the following actions:
  - mcActionShowStatusString
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `stringTypeFlags` - information about the string.
    `string` - The String returned by the movie controller
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           QDPoint point)

  This method should be overridden to handle the following actions:
  - mcActionForceTimeTableUpdate
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `point` - the Point in local coordinates
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           QTGetExternalMovieRecord record)

  This method should be overridden to handle the following actions:
  - mcActionGetExternalMovie
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `QTGetExternalMovieRecord` - the external movie record
  Returns:
    true if you handled the action otherwise false

### execute

    public boolean execute(MovieController mc,
                           int action,
                           TimeRecord tr,
                           java.lang.String str)

  This method should be overridden to handle the following actions:
  - mcActionGetChapterTime
  Parameters:
    `mc` - the movie controller the action is invoked upon
    `action` - the id of the action that invoked this method
    `tr` - the TimeRecord
    `str` - the String
  Returns:
    true if you handled the action otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD